package com.work.provide_origin.origin

import android.app.Activity
import android.content.Context
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment

abstract class GeneralVMFragment<VM : GeneralViewModel> : Fragment(){
    lateinit var activity: Activity
    protected abstract var layout:Int

    override fun onAttach(context: Context) {
        super.onAttach(context)
        activity = context as Activity
    }

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        var view = initDataBinding()
        createLooker()
        initUi()
        initData()
        initEvent()
        return view
    }

    abstract fun initDataBinding():View
    abstract fun createLooker()
    abstract fun initUi()
    abstract fun initData()
    abstract fun initEvent()
}